//Implementacion de la clase PILA de Cartas

#include <iostream>
#include "pila.h"
#include "carta.h"

using namespace std;

///////////////////////////////////////////////////////
Pila::Pila ()
{
   cima = -1;
}
///////////////////////////////////////////////////////
bool Pila::Apilar (Carta x)
{
   bool ok;

   if (cima == MAX)
      ok = false;
   else
   {
      cima++;
      datos[cima] = x;
      ok = true;
   }
   return (ok);
}
///////////////////////////////////////////////////////
bool Pila::PilaVacia ()
{
   return (cima == -1);
}
///////////////////////////////////////////////////////
bool Pila::Desapilar (void)
{
   bool ok;

   if (cima == -1)
      ok = false;
   else
   {
      cima--;
      ok = true;
   }
   return (ok);
}
///////////////////////////////////////////////////////
bool Pila::CimaPila (Carta & x)
{
   bool ok;

   if (cima == -1)
      ok = false;
   else
   {
      x = datos[cima];
      ok = true;
   }
   return (ok);
}
///////////////////////////////////////////////////////
void Pila::MostrarPila ()
{
   if (cima < 0) //pila vacia
      cout << "X";
   else //no vacia
   {
      cout << "(";
      for (int i=0; i<cima; i++)
      {
         datos[i].MostrarCarta();
	 cout << ", ";
      }
      datos[cima].MostrarCarta();
      cout << ")";
   }
}
///////////////////////////////////////////////////////
int Pila::NElementosPila ()
{
   return  (cima+1);
}
